Subject: [PATCH 3/3] clk: samsung: remove unnecessary inclusion of header files from clk.h

From: [email-masked] (Pankaj Dubey)
Date: Wed, 03 Dec 2014 17:12:32 +0530

Hi Sylwester,

On Tuesday 02 December 2014 08:53 PM, Sylwester Nawrocki wrote:
> Hi Pankaj,
>
> On 27/09/14 07:41, Pankaj Dubey wrote:
>> Let's remove unnecessary include of header files from clk.h and add
>> required one in clk.c
>>
>> Signed-off-by: Pankaj Dubey <[email-masked]>
>> ---
>>   drivers/clk/samsung/clk.c |    3 ++-
>>   drivers/clk/samsung/clk.h |    4 ----
>>   2 files changed, 2 insertions(+), 5 deletions(-)
>>
> Please make sure there is no build breaks with various configs when
> sending patches.

I am sure that I compile tested this before submitting. Looks like 
following commit [1] needs "linux/syscore-ops.h" in clk.c, before that 
it was not needed.

1: clk: samsung: Factor out the common code to clk.c [SHA_ID: 
16a9013b83b5106c83cf]

Anyways, I can see patches are not getting cleanly applied so, just now 
I resend them [2] after rebasing please have a look.

2: http://comments.gmane.org/gmane.linux.kernel.samsung-soc/40639

Thanks,
Pankaj Dubey
> --
> Regards,
> Sylwester